complete -c cfn-guard -n "__fish_use_subcommand" -s h -l help -d 'Print help'
complete -c cfn-guard -n "__fish_use_subcommand" -s V -l version -d 'Print version'
complete -c cfn-guard -n "__fish_use_subcommand" -f -a "validate" -d 'Evaluates rules against the data files to determine success or failure.
You can point rules flag to a rules directory and point data flag to a data directory.
When pointed to a directory it will read all rules in the directory file and evaluate
them against the data files found in the directory. The command can also point to a
single file and it would work as well.
Note - When pointing the command to a directory, the directory may not contain a mix of
rules and data files. The directory being pointed to must contain only data files,
or rules files.
'
complete -c cfn-guard -n "__fish_use_subcommand" -f -a "test" -d 'Built in unit testing capability to validate a Guard rules file against
unit tests specified in YAML format to determine each individual rule\'s success
or failure testing.
'
complete -c cfn-guard -n "__fish_use_subcommand" -f -a "parse-tree" -d 'Prints out the parse tree for the rules defined in the file.'
complete -c cfn-guard -n "__fish_use_subcommand" -f -a "rulegen" -d 'Autogenerate rules from an existing JSON- or YAML- formatted data. (Currently works with only CloudFormation templates)'
complete -c cfn-guard -n "__fish_use_subcommand" -f -a "completions" -d 'Generate auto-completions for all the sub-commands in shell.'
complete -c cfn-guard -n "__fish_use_subcommand" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c cfn-guard -n "__fish_seen_subcommand_from validate" -s r -l rules -d 'Provide a rules file or a directory of rules files. Supports passing multiple values by using this option repeatedly.
Example:
 --rules rule1.guard --rules ./rules-dir1 --rules rule2.guard
For directory arguments such as `rules-dir1` above, scanning is only supported for files with following extensions: .guard, .ruleset' -r
complete -c cfn-guard -n "__fish_seen_subcommand_from validate" -s d -l data -d 'Provide a data file or directory of data files in JSON or YAML. Supports passing multiple values by using this option repeatedly.
Example:
 --data template1.yaml --data ./data-dir1 --data template2.yaml
For directory arguments such as `data-dir1` above, scanning is only supported for files with following extensions: .yaml, .yml, .json, .jsn, .template' -r
complete -c cfn-guard -n "__fish_seen_subcommand_from validate" -s i -l input-params -d 'Provide a parameter file or directory of parameter files in JSON or YAML that specifies any additional parameters to use along with data files to be used as a combined context. All the parameter files passed as input get merged and this combined context is again merged with each file passed as an argument for `data`. Due to this, every file is expected to contain mutually exclusive properties, without any overlap. Supports passing multiple values by using this option repeatedly.
Example:
 --input-parameters param1.yaml --input-parameters ./param-dir1 --input-parameters param2.yaml
For directory arguments such as `param-dir1` above, scanning is only supported for files with following extensions: .yaml, .yml, .json, .jsn, .template' -r
complete -c cfn-guard -n "__fish_seen_subcommand_from validate" -s t -l type -d 'Specify the type of data file used for improved messaging - ex: CFNTemplate' -r -f -a "{CFNTemplate	}"
complete -c cfn-guard -n "__fish_seen_subcommand_from validate" -s o -l output-format -d 'Specify the format in which the output should be displayed' -r -f -a "{single-line-summary	,json	,yaml	,junit	,sarif	}"
complete -c cfn-guard -n "__fish_seen_subcommand_from validate" -s S -l show-summary -d 'Controls if the summary table needs to be displayed. --show-summary fail (default) or --show-summary pass,fail (only show rules that did pass/fail) or --show-summary none (to turn it off) or --show-summary all (to show all the rules that pass, fail or skip)' -r -f -a "{all	,pass	,fail	,skip	,none	}"
complete -c cfn-guard -n "__fish_seen_subcommand_from validate" -s a -l alphabetical -d 'Validate files in a directory ordered alphabetically'
complete -c cfn-guard -n "__fish_seen_subcommand_from validate" -s m -l last-modified -d 'Validate files in a directory ordered by last modified times'
complete -c cfn-guard -n "__fish_seen_subcommand_from validate" -s v -l verbose -d 'Verbose logging'
complete -c cfn-guard -n "__fish_seen_subcommand_from validate" -s p -l print-json -d 'Print the parse tree in a json format. This can be used to get more details on how the clauses were evaluated'
complete -c cfn-guard -n "__fish_seen_subcommand_from validate" -s P -l payload -d 'Provide rules and data in the following JSON format via STDIN,
{"rules":["<rules 1>", "<rules 2>", ...], "data":["<data 1>", "<data 2>", ...]}, where,
- "rules" takes a list of string version of rules files as its value and
- "data" takes a list of string version of data files as it value.
When --payload is specified --rules and --data cannot be specified.'
complete -c cfn-guard -n "__fish_seen_subcommand_from validate" -s z -l structured -d 'Print out a list of structured and valid JSON/YAML. This argument conflicts with the following arguments: 
verbose 
 print-json 
 show-summary: all/fail/pass/skip 
output-format: single-line-summary'
complete -c cfn-guard -n "__fish_seen_subcommand_from validate" -s h -l help -d 'Print help'
complete -c cfn-guard -n "__fish_seen_subcommand_from test" -s r -l rules-file -d 'Provide a rules file' -r
complete -c cfn-guard -n "__fish_seen_subcommand_from test" -s t -l test-data -d 'Provide a file or dir for data files in JSON or YAML' -r
complete -c cfn-guard -n "__fish_seen_subcommand_from test" -s d -l dir -d 'Provide the root directory for rules' -r
complete -c cfn-guard -n "__fish_seen_subcommand_from test" -s o -l output-format -d 'Specify the format in which the output should be displayed' -r -f -a "{single-line-summary	,json	,yaml	,junit	,sarif	}"
complete -c cfn-guard -n "__fish_seen_subcommand_from test" -s a -l alphabetical -d 'Sort alphabetically inside a directory'
complete -c cfn-guard -n "__fish_seen_subcommand_from test" -s m -l last-modified -d 'Sort by last modified times within a directory'
complete -c cfn-guard -n "__fish_seen_subcommand_from test" -s v -l verbose -d 'Verbose logging'
complete -c cfn-guard -n "__fish_seen_subcommand_from test" -s h -l help -d 'Print help'
complete -c cfn-guard -n "__fish_seen_subcommand_from parse-tree" -s r -l rules -d 'Provide a rules file' -r
complete -c cfn-guard -n "__fish_seen_subcommand_from parse-tree" -s o -l output -d 'Write to output file' -r
complete -c cfn-guard -n "__fish_seen_subcommand_from parse-tree" -s p -l print-json -d 'Print output in JSON format. Use -p as the short flag'
complete -c cfn-guard -n "__fish_seen_subcommand_from parse-tree" -s y -l print-yaml -d 'Print output in YAML format'
complete -c cfn-guard -n "__fish_seen_subcommand_from parse-tree" -s h -l help -d 'Print help'
complete -c cfn-guard -n "__fish_seen_subcommand_from rulegen" -s o -l output -d 'Write to output file' -r
complete -c cfn-guard -n "__fish_seen_subcommand_from rulegen" -s t -l template -d 'Provide path to a CloudFormation template file in JSON or YAML' -r
complete -c cfn-guard -n "__fish_seen_subcommand_from rulegen" -s h -l help -d 'Print help'
complete -c cfn-guard -n "__fish_seen_subcommand_from completions" -s s -l shell -r -f -a "{bash	,zsh	,fish	}"
complete -c cfn-guard -n "__fish_seen_subcommand_from completions" -s h -l help -d 'Print help'
complete -c cfn-guard -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from validate; and not __fish_seen_subcommand_from test; and not __fish_seen_subcommand_from parse-tree; and not __fish_seen_subcommand_from rulegen; and not __fish_seen_subcommand_from completions; and not __fish_seen_subcommand_from help" -f -a "validate" -d 'Evaluates rules against the data files to determine success or failure.
You can point rules flag to a rules directory and point data flag to a data directory.
When pointed to a directory it will read all rules in the directory file and evaluate
them against the data files found in the directory. The command can also point to a
single file and it would work as well.
Note - When pointing the command to a directory, the directory may not contain a mix of
rules and data files. The directory being pointed to must contain only data files,
or rules files.
'
complete -c cfn-guard -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from validate; and not __fish_seen_subcommand_from test; and not __fish_seen_subcommand_from parse-tree; and not __fish_seen_subcommand_from rulegen; and not __fish_seen_subcommand_from completions; and not __fish_seen_subcommand_from help" -f -a "test" -d 'Built in unit testing capability to validate a Guard rules file against
unit tests specified in YAML format to determine each individual rule\'s success
or failure testing.
'
complete -c cfn-guard -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from validate; and not __fish_seen_subcommand_from test; and not __fish_seen_subcommand_from parse-tree; and not __fish_seen_subcommand_from rulegen; and not __fish_seen_subcommand_from completions; and not __fish_seen_subcommand_from help" -f -a "parse-tree" -d 'Prints out the parse tree for the rules defined in the file.'
complete -c cfn-guard -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from validate; and not __fish_seen_subcommand_from test; and not __fish_seen_subcommand_from parse-tree; and not __fish_seen_subcommand_from rulegen; and not __fish_seen_subcommand_from completions; and not __fish_seen_subcommand_from help" -f -a "rulegen" -d 'Autogenerate rules from an existing JSON- or YAML- formatted data. (Currently works with only CloudFormation templates)'
complete -c cfn-guard -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from validate; and not __fish_seen_subcommand_from test; and not __fish_seen_subcommand_from parse-tree; and not __fish_seen_subcommand_from rulegen; and not __fish_seen_subcommand_from completions; and not __fish_seen_subcommand_from help" -f -a "completions" -d 'Generate auto-completions for all the sub-commands in shell.'
complete -c cfn-guard -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from validate; and not __fish_seen_subcommand_from test; and not __fish_seen_subcommand_from parse-tree; and not __fish_seen_subcommand_from rulegen; and not __fish_seen_subcommand_from completions; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
